Package io.vertx.servicediscovery.types

## Interface RedisDataSource

- All Superinterfaces:
    `ServiceType`

      public interface RedisDataSource
      extends ServiceType

  Service type for Redis data source.
  Author:
    Eric Zhao

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `TYPE` |

    - ### Fields inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `UNKNOWN`

  - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Record` | `createRecord​(String name, JsonObject location, JsonObject metadata)` | Convenient method to create a record for a Redis data source.
    `static Future<Redis>` | `getRedisClient​(ServiceDiscovery discovery, JsonObject filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Future<Redis>` | `getRedisClient​(ServiceDiscovery discovery, JsonObject filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Future<Redis>` | `getRedisClient​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.
    `static Future<Redis>` | `getRedisClient​(ServiceDiscovery discovery, java.util.function.Function<Record,​Boolean> filter, JsonObject consumerConfiguration)` | Convenient method that looks for a Redis data source and provides the configured `Redis`.

    - ### Methods inherited from interface io.vertx.servicediscovery.spi.ServiceType

      `get, name`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### createRecord

          static Record createRecord​(String name,
                                     JsonObject location,
                                     JsonObject metadata)

      Convenient method to create a record for a Redis data source.
      Parameters:
        `name` - the service name
        `location` - the location of the service (e.g. url, port...)
        `metadata` - additional metadata
      Returns:
        the created record

    - #### getRedisClient

          static Future<Redis> getRedisClient​(ServiceDiscovery discovery,
                                              JsonObject filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
      Returns:
        a future notified with the client

    - #### getRedisClient

          static Future<Redis> getRedisClient​(ServiceDiscovery discovery,
                                              java.util.function.Function<Record,​Boolean> filter)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
      Returns:
        a future notified with the client

    - #### getRedisClient

          static Future<Redis> getRedisClient​(ServiceDiscovery discovery,
                                              JsonObject filter,
                                              JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, optional
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client

    - #### getRedisClient

          static Future<Redis> getRedisClient​(ServiceDiscovery discovery,
                                              java.util.function.Function<Record,​Boolean> filter,
                                              JsonObject consumerConfiguration)

      Convenient method that looks for a Redis data source and provides the configured `Redis`. The async result is marked as failed is there are no matching services, or if the lookup fails.
      Parameters:
        `discovery` - The service discovery instance
        `filter` - The filter, cannot be `null`
        `consumerConfiguration` - The additional consumer configuration
      Returns:
        a future notified with the client